MINTPY-REMOVE_RAMP(1)

NAME
mintpy-remove_ramp - Remove phase ramp

DESCRIPTION
usage: remove_ramp.py [-h] [-m MASK_FILE]

[-s {linear,linear_range,linear_azimuth,quadratic,quadratic_range,quadratic_azimuth}]
    [-d DSET] [-o OUTFILE] [--save-ramp-coeff] [--update] file

Remove phase ramp

  positional arguments:

file
    File for ramp removal

  options:

-h, --help
    show this help message and exit

-m MASK_FILE, --mask MASK_FILE
    mask for pixels used in ramp estimation default - maskTempCoh.h5 no - use the whole area

-s {linear,linear_range,linear_azimuth,quadratic,quadratic_range,quadratic_azimuth}
    type of surface/ramp to remove, linear by default

-d DSET, --dset DSET
    dataset name to be derampped in ifgramStack file e.g.: unwrapPhase

    unwrapPhase_bridging

-o OUTFILE, --outfile OUTFILE
    Output file name.

--save-ramp-coeff
    Save the estimated ramp coefficients into text file.

--update
    Enable update mode, and skip inversion if: 1) output file already exists, readable and newer than input file 2) all configuration parameters are the same.

  example:

remove_ramp.py
    timeseries.h5 -m maskTempCoh.h5

remove_ramp.py
    ifgramStack.h5 -m maskTempCoh.h5 -d unwrapPhase_bridging

remove_ramp.py
    090214_101120.unw -m maskTempCoh.h5 -s quadratic